View Issue Details

IDProjectCategoryView StatusLast Update
0000504FreeCADFeaturepublic2011-12-10 10:24
ReporterpeepsalotAssigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000504: Include macro directory as part of default python path
DescriptionCurrently the macro directory is not on the path. It would be much more convenient if it were, so that scripts could easily import other scripts from the same directory, or even subdirectories if __init__.py is used.
TagsNo tags attached.

Activities

yorik

2011-12-05 13:11

administrator   ~0001393

I think that's a good idea, Werner, if you read this, what do you think?

wmayer

2011-12-10 10:24

administrator   ~0001435

Makes sense to me, too. I have just waited for v0.13 to add this feature. Done in r5248

Issue History

Date Modified Username Field Change
2011-12-01 04:04 peepsalot New Issue
2011-12-05 13:11 yorik Note Added: 0001393
2011-12-10 10:24 wmayer Note Added: 0001435
2011-12-10 10:24 wmayer Status new => closed
2011-12-10 10:24 wmayer Resolution open => fixed
2011-12-10 10:24 wmayer Fixed in Version => 0.13